import type { Logger } from '@teambit/logger';
import type { Request, Response, NextFunction } from 'express';
type ssrRenderProps = {
    root: string;
    port: number;
    title: string;
    logger: Logger;
};
export declare function createSsrMiddleware({ root, port, title, logger }: ssrRenderProps): Promise<(request: Request, response: Response, next: NextFunction) => Promise<void>>;
export {};
